Bug 2071 - urpmi: use --download-all by default
: urpmi: use --download-all by default
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 12:56 MSD by Denis Silakov
Modified: 2013-06-03 13:06 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2013-05-30 12:56:15 MSD
On the last TC meeting it was decided that urpmi should use '--download-all' option by default (like it is already implemented in rpmdrake).

In the latest iso image we have just added 'download-all' option to default urpmi config, but it is more convenient to improve urpmi itself.
Comment 1 Denis Silakov 2013-05-30 12:58:37 MSD
Advisory:

Now urpmi by default downloads all packages before installation (previously one should specify --download-all option for this). This behavior can be overridden by new --no-download-all option in command line or no-download-all option in urpmi.cfg.

Build lists:
https://abf.rosalinux.ru/build_lists/1117126
https://abf.rosalinux.ru/build_lists/1117125
Comment 2 Denis Silakov 2013-05-30 17:24:44 MSD
Slightly updated build lists...

Advisory:

Now urpmi by default downloads all packages before installation (previously one should specify --download-all option for this). This behavior can be overridden by new --no-download-all option in command line or no-download-all option in urpmi.cfg.

Build lists:
https://abf.rosalinux.ru/build_lists/1117258
https://abf.rosalinux.ru/build_lists/1117257
Comment 3 Vladimir Potapov 2013-05-31 17:37:55 MSD
urpmi-6.71-20-rosa2012.1
****************** Advisory ******************
Now urpmi by default downloads all packages before installation (previously one should specify --download-all option for this). This behavior can be overridden by new --no-download-all option in command line or no-download-all option in urpmi.cfg.
**********************************************
QA Verified